// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_FEnumProperty.h"
#include "SCW_FProperty.h"

class FEnumProperty;

namespace Sourcify
{
	class SCW_FEnumProperty : public SCW_FProperty, public virtual ISCW_FEnumProperty
	{
	public:
		SCW_FEnumProperty(FEnumProperty* InEnumProperty);

		ISCW_UEnumPtr GetEnum() const override;

		FEnumProperty* ToFEnumProperty() const;

	protected:
		FEnumProperty* EnumProperty;
	};
} // namespace Sourcify